package cz.vity.freerapid.plugins.services.rusfolder;

import cz.vity.freerapid.plugins.webclient.AbstractFileShareService;
import cz.vity.freerapid.plugins.webclient.interfaces.PluginRunner;

/**
 * Class that provides basic info about plugin
 *
 * @author JPEXS (modified by vixle)
 */
public class RusfolderServiceImpl extends AbstractFileShareService {

    public String getName() {
        return "rusfolder plugin";
    }

    @Override
    public boolean supportsRunCheck() {
        return true;//ok
    }

    @Override
    protected PluginRunner getPluginRunnerInstance() {
        return new RusfolderFileRunner();
    }

    public int getMaxDownloadsFromOneIP(){
        return 1;
    }

}
